var request = require('request');
const connect = require('./postgres.js');


function posljiBulk(callback) {
    //options.json = JSON.stringify(options.json).substr(0); //.slice(0, -1);
    var odgovor;
    var err;
    request(options, function(error, response, body) {
        console.log(response.statusCode);
        err = error;
        odgovor = body;

        if(typeof callback === 'function') {
            console.log(response.elapsedTime);
            callback(err, odgovor);
        }
    });    
}

var options = {
    uri: 'http://localhost:8080/filter/bulk',
    method: 'POST',
    json: {
        "nizi": [],
        "id": []
    },
    time: 'true'
};

var odmik = Math.floor((Math.random() * 1000000000) + 1); 
console.log('Odmik:'+odmik)

connect().query('select ctid, * from ujp where namen is not null limit 2000', function(err, result) {
    if(err) {
        console.log(err);
    } else {
        result.rows.forEach(function(row) {
            options.json.id.push(row.ctid);
            options.json.nizi.push(row.namen);
        });
        posljiBulk(function(err, odgovor) {
            if(err) {
                console.log(err);
            } else {
                //console.log(odgovor);
                console.log('id\tniz\tvsebujeIme\tvsebujePriimek\tvsebujeUlico\tvsebujeObliko\tvsebujedavcno\tvsebujeMaticno\tvsebujeFilter')
                odgovor.rezultat.forEach(function(vrstica) {
                    console.log(vrstica.id + '\t' +
                    vrstica.niz.replace(/\t/g, ' ') + '\t' +
                    vrstica.vsebujeIme + '\t' +
                    vrstica.vsebujePriimek + '\t' +
                    vrstica.vsebujeUlico + '\t' +
                    vrstica.vsebujeObliko + '\t' +
                    vrstica.vsebujeDavcno + '\t' +
                    vrstica.vsebujeMaticno + '\t' +
                    vrstica.vsebujeFilter + '\t');
                })
            }
        });
    }
});
/*
connect().query('select ctid, * from ujp where namen is not null limit 1000', function(err, result) {
    result.rows.forEach(function(row) {
        options.json.niz = row.namen;
        request(options, function(err, response, body) {
            var sodba;// = 'ne objavi';
            if(!err && response.statusCode == 200) {
                //console.log(response.);
                if((body.vsebujeIme != 0) && (body.vsebujePriimek != 0) && (body.vsebujeObliko != 0)) {
                    sodba = 'objavi';
                }
                if((body.vsebujeIme == 0) && (body.vsebujePriimek != 0) && (body.vsebujeObliko != 0)) {
                    sodba = 'objavi';
                }
                if((body.vsebujeIme == 0) && (body.vsebujePriimek == 0) && (body.vsebujeObliko != 0)) {
                    sodba = 'objavi';
                }
                if((body.vsebujeIme == 0) && (body.vsebujePriimek == 0) && (body.vsebujeObliko == 0)) {
                    sodba = 'objavi';
                }
                if((body.vsebujeIme != 0) && (body.vsebujePriimek != 0) && (body.vsebujeUlico != 0)) {
                    sodba = 'ne objavi';
                }
                if((body.vsebujeDavcno != 0) || (body.vsebujeMaticno != 0) || (body.vsebujeFilter != 0)) {
                    sodba = 'ne objavi';
                }
                console.log(response.elapsedTime + ':' + body.niz + ':' + sodba);
            }
        })
    }, this);
});
*/
